%define upstream_name    Search-Binary
%define upstream_version 0.99

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generic binary search
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings) >= 0.12.0
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'binary_search' implements a generic binary search algorithm returning the
_position_ of the first _record_ whose _index value_ is greater than or
equal to '$val'. The search routine does not define any of the terms
_position_, _record_ or _index value_, but leaves their interpretation and
implementation to the user supplied function '&$read()'. The only
restriction is that positions must be integer scalars.

During the search the read function will be called with three arguments:
the input parameters '$handle' and '$val', and a position. If the position
is not 'undef', the read function should read the first whole record
starting at or after the position; otherwise, the read function should read
the record immediately following the last record it read. The search
algorithm will guarantee that the first call to the read function will not
be with a position of 'undef'. The read function needs to return a two
element array consisting of the result of comparing '$val' with the index
value of the read record and the position of the read record. The
comparison value must be positive if '$val' is strictly greater than the
index value of the read record, '0' if equal, and negative if strictly
less. Furthermore, the returned position value must be greater than or
equal to the position the read function was called with.

The input parameters '$min' and '$max' are positions and represents the
extent of the search. Only records which begin at positions within this
range (inclusive) will be searched. Moreover, '$min' must be the starting
position of a record. If present '$size' is a difference between positions
and determines when the algorithms switches to a sequential search. '$val'
is an index value. The value of '$handle' is of no consequence to the
binary search algorithm; it is merely passed as a convenience to the read
function.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.990.0-3.mga6
+ Revision: 1033015
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.990.0-2.mga6
+ Revision: 966407
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 shlomif <shlomif> 0.990.0-1.mga6
+ Revision: 844388
- Add the archive
- New version 0.99

* Wed Oct 15 2014 umeabot <umeabot> 0.950.0-5.mga5
+ Revision: 745175
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.950.0-4.mga5
+ Revision: 686175
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.950.0-3.mga4
+ Revision: 514522
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.950.0-2.mga3
+ Revision: 372552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.950.0-1.mga2
+ Revision: 172298
- imported package perl-Search-Binary


* Sat Nov 26 2011 cpan2dist 0.95-1mga
- initial mageia release, generated with cpan2dist
